Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.util
Class ByteSizeLimitedObjectCache.SizeCountingLRUMap

    java.lang.Object
      org.apache.commons.collections.SequencedHashMap
          org.apache.commons.collections.LRUMap
              org.apache.slide.util.ByteSizeLimitedObjectCache.SizeCountingLRUMap

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Externalizable, java.util.Map, java.io.Serializable

Enclosing class:
  ByteSizeLimitedObjectCache

protected class ByteSizeLimitedObjectCache.SizeCountingLRUMap
extends org.apache.commons.collections.LRUMap

See Also:
  Serialized Form

Constructor Summary
`ByteSizeLimitedObjectCache.SizeCountingLRUMap(int size, long maxByteSize, long maxByteSizePerEntry)`
`ByteSizeLimitedObjectCache.SizeCountingLRUMap(int size, long maxByteSize, long maxByteSizePerEntry, java.lang.Object txId)`

Method Summary
`protected void` | `freeBytes(java.lang.Object key)`
`long` | `getByteSize(java.lang.Object key)`
`protected void` | `invalidate(java.lang.Object key)`
`protected void` | `processRemovedLRU(java.lang.Object key, java.lang.Object value)`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value, long byteSize)`

Methods inherited from class org.apache.commons.collections.LRUMap
`get, getMaximumSize, put, readExternal, removeLRU, setMaximumSize, writeExternal`

Methods inherited from class org.apache.commons.collections.SequencedHashMap
`clear, clone, containsKey, containsValue, entrySet, equals, get, getFirst, getFirstKey, getFirstValue, getLast, getLastKey, getLastValue, getValue, hashCode, indexOf, isEmpty, iterator, keySet, lastIndexOf, putAll, remove, remove, sequence, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteSizeLimitedObjectCache.SizeCountingLRUMap

    public ByteSizeLimitedObjectCache.SizeCountingLRUMap(int size,
                                                         long maxByteSize,
                                                         long maxByteSizePerEntry,
                                                         java.lang.Object txId)

### ByteSizeLimitedObjectCache.SizeCountingLRUMap

    public ByteSizeLimitedObjectCache.SizeCountingLRUMap(int size,
                                                         long maxByteSize,
                                                         long maxByteSizePerEntry)

Method Detail

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value,
                                long byteSize)

### getByteSize

    public long getByteSize(java.lang.Object key)

### freeBytes

    protected void freeBytes(java.lang.Object key)

### invalidate

    protected void invalidate(java.lang.Object key)

### processRemovedLRU

    protected void processRemovedLRU(java.lang.Object key,
                                     java.lang.Object value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD